.main-slider-swiper {
    width: auto;
    padding: 0 30px 20px;
    margin: 0 -30px;
}

.main-slider-swiper .swiper-slide {
    border-radius: 28px;
    /*padding: 60px 72px;*/
    min-height: 360px;
    overflow: hidden;
}

.main-slider__item {
    padding: 0;
    height: 400px;
    display: flex;
    align-items: center;
    background-color: #f2f2ef;
}

.main-slider__item .main-slider__content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    height: 100%;
    max-width: 100%;
    padding: 60px 0 72px 60px;
}

.main-slider__item .main-slider__text {
    max-width: 520px;
}

.main-slider__item h2 {
    font-weight: 400;
    font-size: 46px;
    line-height: 1;
    margin: 0;
    text-align: left;
}

.main-slider__item p {
    font-weight: 400;
    font-size: 20px;
    line-height: 1.4;
    color: #01142f;
    margin-top: 12px;
    margin-bottom: 0;
    text-align: left;
}

.main-slider__item .slider__item__btn {
    font-family: "Rubik", sans-serif;
    font-weight: 500;
    font-size: 14px;
    text-transform: uppercase;
    color: #01142f;
    border-radius: 120px;
    padding: 17px 32px;
    background-color: #fce482;
    text-decoration: none;
    margin-top: 16px;
}

.main-slider__item .main-slider__img {
    top: 0;
    bottom: 0;
    right: 0;
    left: auto;
    width: auto;
    height: 100%;
}

.main-slider__item .main-slider__img img {
    position: static;
    transform:unset;
    margin: 0;
    border-radius: 0;
}

.main-slider__item .main-slider__img::before {
    display: none;

}

.main-slider-swiper .swiper-pagination {
    margin: auto;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    max-width: 300px;
    display: flex;
    gap: 10px;
}

.main-slider-swiper .swiper-pagination-bullet {
    margin: 0 !important;
    height: 4px;
    width: 100%;
    border-radius: 5px;
    background: #eaeeef;
}

.main-slider-swiper .swiper-pagination-bullet-active {
    background-color: #ffd837;
    opacity: 0.5;
}

.main-slider-swiper .swiper-button-next, .main-slider-swiper .swiper-button-prev
{
    width: 40px;
    height: 40px;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.15);
    top: var(--swiper-navigation-top-offset,calc(50% - 20px));
    background-color: #FFFFFF;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 24px 24px !important;
}

.main-slider-swiper .swiper-button-next:hover,
.main-slider-swiper .swiper-button-prev:hover {
    background-color: #fce482;
}

.main-slider-swiper .swiper-button-next {
    right: 12px;
}

.main-slider-swiper .swiper-button-prev {
    left: 12px;
}

.main-slider-swiper .swiper-button-next,
.main-slider-swiper .swiper-button-next:hover
{
    background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 6L15 12L9 18' stroke='%2301142F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
}

.main-slider-swiper .swiper-button-prev,
.main-slider-swiper .swiper-button-prev:hover
{
    background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M15 18L9 12L15 6' stroke='%2301142F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
}

.text-mobile {
    display: block !important;
}

.text-desktop {
    display: none !important;
}

@media (min-width: 768px) {
    .text-mobile {
        display: none !important;
    }

    .text-desktop {
        display: block !important;
    }
}

@media (max-width: 960px) {
    .main-slider__item .main-slider__content {
        margin: 0;
        height: auto;
        padding: 30px  30px  30px;
        z-index: 3;
    }

    .main-slider-swiper .swiper-pagination {
        translate: none;
    }

    .main-slider__item .main-slider__img {
        top: 0;
        bottom: 0;
        right: 0;
        left: auto;
        width: auto;
        height: 100%;
        position: absolute;
    }
}

@media (max-width: 768px) {
    .main-slider__item .main-slider__text {
        max-width: 100%;
    }

    .main-slider__item {
        height: 620px;
        align-items: start;
    }

    .main-slider-swiper .swiper-button-next,
    .main-slider-swiper .swiper-button-prev {
        display: block;
    }

    .main-slider__item .main-slider__img {
        top: auto;
        bottom: 0;
        margin: 0;
        left: 0;
        right: 0;
        position: absolute;
        width: 100%;
        height: auto;
        max-width: 100%;
    }

    .main-slider__item .main-slider__img img {
        position: relative;
        width: 100%;
    }
}

@media (max-width: 576px) {
    .main-slider-swiper {
        padding: 0 20px 12px;
        margin: 0 -20px;
    }

    .main-slider__item {
        /*padding: 24px;*/
        height: 520px;
    }

    .main-slider__item .main-slider__content {
        height: auto;
        width: 100%;
        margin: 0;
        padding: 24px 24px 0 24px;
    }

    .main-slider__item h2 {
        font-size: 32px;
        text-align: left;
    }

    .main-slider__item p {
        font-size: 18px;
        text-align: left;
    }

    .main-slider__item .slider__item__btn {
        padding: 14px 26px;
        font-size: 14px;
    }

    /*.main-slider__item .main-slider__img {
        width: 100%;
        height: auto;
        margin: 12px 0 0 0;
    }*/

    .main-slider-swiper .swiper-pagination {
        translate: none;
    }

    .main-slider-swiper .swiper-button-next, .main-slider-swiper .swiper-button-prev {
        top: var(--swiper-navigation-top-offset, calc(50% - 16px));
    }

    .main-slider-swiper .swiper-button-next,
    .main-slider-swiper .swiper-button-prev {
        display: block;
        width: 24px;
        height: 24px;
        box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.15);
        background-size: 16px 16px !important;
    }

    .main-slider-swiper .swiper-button-next {
        right: 8px;
    }

    .main-slider-swiper .swiper-button-prev {
        left: 8px;
    }
}

@media (max-width: 425px) {
    .main-slider__item {
        height: 420px;
    }
}